bullet_name1 = "bullet-pimp"
dofile_lua( bullet_name1 )
bullet_name2 = "missile-pimp"
dofile_lua( bullet_name2 )
--bullet_name3 = "bullet-ninjoo"
--dofile_lua( bullet_name3 )
powerpimp_emerge_actor_name = "powerpimp-emerge"
dofile_lua( powerpimp_emerge_actor_name )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "powerpimp"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "powerpimp"

	actor[cp_actor_type]			= cat_block
	
	actor[cp_move_type]			= cmt_random + cmt_face_gamer + cmt_sidestep_bullet + cmt_repelled

	actor[cp_i_collide_with_beasties]	= cat_player + cat_fence
	actor[cp_hit_delay]			= 4.0
	actor[cp_hit_power]			= 5.0

	actor[cp_score]				= 1500

	actor[cp_i_am_repelled_by]		= cat_block
	actor[cp_repel_dist]			= 30.0

	-- movement
	actor[cp_move_speed_min]		= 1.0
	actor[cp_move_speed_max]		= 1.0
	actor[cp_move_acceleration]		= 20.0
	actor[cp_move_deceleration]		= 0.2
	actor[cp_move_inertia_accn]		= 0.9
	actor[cp_move_inertia_decn]		= 0.9

	actor[cp_target_stop_dist]		= 0.0

	actor[cp_turn_speed_still]			= 10.0
	actor[cp_turn_acceleration_still]	= 10.0
	actor[cp_turn_inertia_still]		= 0.8
	actor[cp_turn_speed_moving]			= 10.0
	actor[cp_turn_acceleration_moving]	= 10.0
	actor[cp_turn_inertia_moving]		= 0.8

	actor[cp_random_edge_inner_percent]	= 0.0
	actor[cp_random_edge_outer_percent]	= 20.0

	actor[cp_launch_hue_shift] = color + 150

	actor[cp_launch_scale_min]		= 170.0
	actor[cp_launch_scale_max]		= 170.0

--	actor[cp_random_offset_x]			= 10.0
--	actor[cp_random_offset_z]			= 10.0

--	actor[cp_random_trajectory_offset]				= 30.0
--	actor[cp_random_trajectory_offset_delay_min]	= 0.1
--	actor[cp_random_trajectory_offset_delay_max]	= 0.5

	actor[cp_health_percent]		= 400.0

	actor[cp_weight]				= 100000.0

	actor[cp_difficulty_adjust_speed] = 30.0
	actor[cp_difficulty_adjust_shoot] = 40.0	

-- turn rate to face player
	actor[cp_spin_speed_min]		= 6.0
	actor[cp_spin_speed_max]		= 6.0

	actor[cp_burst_length_min]		= 0.04
	actor[cp_burst_length_max]		= 0.1
	actor[cp_burst_delay_min]		= 0.1
	actor[cp_burst_delay_max]		= 1.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "pointspin", 100.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "partspin1", 30.0, 70.0, 0.0, 0.0 )
	c_set_random_anim( "partspin2", 30.0, 70.0, 0.0, 0.0 )
	c_set_random_anim( "sway", 100.0, 100.0, 0.0, 0.0 )

	c_add_particle_to_anim( "pointspin", "pset1_01", "powerpimp-pset1" )
	c_add_particle_to_anim( "pointspin", "pset1_02", "powerpimp-pset1" )
	c_add_particle_to_anim( "pointspin", "pset1_03", "powerpimp-pset1" )
	c_add_particle_to_anim( "pointspin", "pset1_04", "powerpimp-pset1" )

	c_add_particle_to_anim( "pointspin", "pset2_01", "powerpimp-pset2" )
	c_add_particle_to_anim( "pointspin", "pset2_02", "powerpimp-pset2" )
	c_add_particle_to_anim( "pointspin", "pset2_03", "powerpimp-pset2" )
	c_add_particle_to_anim( "pointspin", "pset2_04", "powerpimp-pset2" )

	c_add_particle_to_anim( "pointspin", "tip01", "powerpimp-tips" )
	c_add_particle_to_anim( "pointspin", "tip02", "powerpimp-tips" )
	c_add_particle_to_anim( "pointspin", "tip03", "powerpimp-tips" )
	c_add_particle_to_anim( "pointspin", "tip04", "powerpimp-tips" )


	local seq = { 0.0 , 0.1 , 0.2, 0.3, 0.4, 0.6, 0.8 }
	c_set_use_explosion_for( "bye_bye", "powerpimp-flash2", exp_no_align, 30.0, 0.3, 5000.0, 5000.0, seq )
	c_add_particle_to_explosion( "powerpimp-flash2", "explode", "", "powerpimp-exp1" )
	c_add_sound_to_explosion( "powerpimp-flash2", "explode", "powerpimp-exp" )
	c_add_sound_to_event( "hit_active_bone", "powerpimp-hit" )


	-- new state
	-- set new actor stuff
	-- send out
--	c_set_trigger_state( "player_dist_less_than", 20.0, 25.0, actor )
	-- set new anims etc...

	local boo = WEAPON_preload( bullet_name1 )
	boo[w_gun_bone_name]		= "eye1_f"
	boo[w_shaft_bone_name]		= "eye1_f"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 60.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 0.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_recoil_dist]			= 0.0
	boo[w_reload_random]		= 100.0
	local seq = { 0.6 }
	WEAPON_add( boo, seq )
	-- new state
	local boo = WEAPON_preload( bullet_name1 )
	boo[w_gun_bone_name]		= "eye2_f"
	boo[w_shaft_bone_name]		= "eye2_f"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 60.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 0.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_recoil_dist]			= 0.0
	boo[w_reload_random]		= 100.0
	local seq = { 0.6 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "sidegun1"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= ""
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 65.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 100.0
	local seq = { 0.7 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "sidegun2"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= ""
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 65.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 100.0
	WEAPON_add( boo, seq )

